summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTobias Klausmann <klausman@gentoo.org>2018-11-26 14:28:08 +0100
committerTobias Klausmann <klausman@gentoo.org>2018-11-26 14:28:08 +0100
commit4cad03ab03838aa4b56102be635f114da3523bba (patch)
treea7c44793f5081a52c479280bcb3c3ee4c61dfab7 /net-im/prosody/prosody-0.11.0.ebuild
parentnet-ftp/atftp: Bump to -r6 (diff)
downloadgentoo-4cad03ab03838aa4b56102be635f114da3523bba.tar.gz
gentoo-4cad03ab03838aa4b56102be635f114da3523bba.tar.bz2
gentoo-4cad03ab03838aa4b56102be635f114da3523bba.zip
net-im/prosody: Add v0.11 and bump to EAPI=7
Bug: https://bugs.gentoo.org/671750 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Tobias Klausmann <klausman@gentoo.org>
Diffstat (limited to 'net-im/prosody/prosody-0.11.0.ebuild')
-rw-r--r--net-im/prosody/prosody-0.11.0.ebuild85
1 files changed, 85 insertions, 0 deletions
diff --git a/net-im/prosody/prosody-0.11.0.ebuild b/net-im/prosody/prosody-0.11.0.ebuild
new file mode 100644
index 000000000000..7ccfe253a716
--- /dev/null
+++ b/net-im/prosody/prosody-0.11.0.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic multilib systemd
+
+MY_PV=$(ver_rs 3 '')
+MY_P="${PN}-${MY_PV}"
+DESCRIPTION="Prosody is a flexible communications server for Jabber/XMPP written in Lua"
+HOMEPAGE="http://prosody.im/"
+SRC_URI="http://prosody.im/tmp/${MY_PV}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="ipv6 libevent mysql postgres sqlite ssl zlib jit libressl"
+
+DEPEND="net-im/jabber-base
+ dev-lua/LuaBitOp
+ !jit? ( >=dev-lang/lua-5.1:0 )
+ jit? ( dev-lang/luajit:2 )
+ >=net-dns/libidn-1.1
+ !libressl? ( dev-libs/openssl:0 ) libressl? ( dev-libs/libressl:= )"
+RDEPEND="${DEPEND}
+ >=dev-lua/luaexpat-1.3.0
+ dev-lua/luafilesystem
+ ipv6? ( >=dev-lua/luasocket-3 )
+ !ipv6? ( dev-lua/luasocket )
+ libevent? ( >=dev-lua/luaevent-0.4.3 )
+ mysql? ( dev-lua/luadbi[mysql] )
+ postgres? ( dev-lua/luadbi[postgres] )
+ sqlite? ( dev-lua/luadbi[sqlite] )
+ ssl? ( dev-lua/luasec )
+ zlib? ( dev-lua/lua-zlib )"
+
+S=${WORKDIR}/${MY_P}
+
+JABBER_ETC="/etc/jabber"
+JABBER_SPOOL="/var/spool/jabber"
+
+src_prepare() {
+ default
+ rm makefile && mv GNUmakefile Makefile || die
+ sed -i -e "s!MODULES = \$(DESTDIR)\$(PREFIX)/lib/!MODULES = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
+ -e "s!SOURCE = \$(DESTDIR)\$(PREFIX)/lib/!SOURCE = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
+ -e "s!INSTALLEDSOURCE = \$(PREFIX)/lib/!INSTALLEDSOURCE = \$(PREFIX)/$(get_libdir)/!"\
+ -e "s!INSTALLEDMODULES = \$(PREFIX)/lib/!INSTALLEDMODULES = \$(PREFIX)/$(get_libdir)/!"\
+ Makefile || die
+}
+
+src_configure() {
+ # the configure script is handcrafted (and yells at unknown options)
+ # hence do not use 'econf'
+ append-cflags -D_GNU_SOURCE
+ luajit=""
+ if use jit; then
+ luajit="--runwith=luajit"
+ fi
+ ./configure \
+ --ostype=linux $luajit \
+ --prefix="${EPREFIX}/usr" \
+ --libdir="${EPREFIX}/usr/lib64" \
+ --sysconfdir="${JABBER_ETC}" \
+ --datadir="${JABBER_SPOOL}" \
+ --with-lua-include=/usr/include \
+ --with-lua-lib=/usr/$(get_libdir)/lua \
+ --cflags="${CFLAGS} -Wall -fPIC" \
+ --ldflags="${LDFLAGS} -shared" \
+ --c-compiler="$(tc-getCC)" \
+ --linker="$(tc-getCC)" || die "configure failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ systemd_dounit "${FILESDIR}/${PN}".service
+ systemd_newtmpfilesd "${FILESDIR}/${PN}".tmpfilesd "${PN}".conf
+ newinitd "${FILESDIR}/${PN}".initd-r2 ${PN}
+ keepdir /var/spool/jabber
+}
+
+pkg_postinst() {
+ elog "If you are using the MySQL backend, you need to update its schema:"
+ elog "https://prosody.im/doc/release/0.11.0#upgrade_notes"
+}